Package org.apache.sysds.runtime.codegen

# Class SpoofOperator.SideInput

java.lang.Object
org.apache.sysds.runtime.codegen.SpoofOperator.SideInput

Direct Known Subclasses:
  `SpoofOperator.SideInputSparseCell`, `SpoofOperator.SideInputSparseRow`

Enclosing class:
  SpoofOperator

public static class SpoofOperator.SideInput extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`clen`
`final DenseBlock`
`ddat`
`final MatrixBlock`
`mdat`

## Constructor Summary

Constructors
Constructor
Description
`SideInput(DenseBlock ddata, MatrixBlock mdata, int clength)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getValue(int r, int c)`
`int`
`pos(int r)`
`void`
`reset()`
`double[]`
`values(int r)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ddat

public final DenseBlock ddat

### mdat

public final MatrixBlock mdat

### clen

public final int clen

## Constructor Details

### SideInput

public SideInput(DenseBlock ddata, MatrixBlock mdata, int clength)

## Method Details

### pos

public int pos(int r)

### values

public double[] values(int r)

### getValue

public double getValue(int r, int c)

### reset

public void reset()